Skip to main content

Update service request

PUThttps://api.propexo.com/v1/service-requests/:service_request_id

Update a service request for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

service_request_id stringrequired

The Propexo unique identifier for the service request

Request​

This endpoint expects an object.

    service_request_category_idstring

    The Propexo unique identifier for the service request category

    service_request_priority_idstring

    The Propexo unique identifier for the service request priority

    service_request_location_idstring

    The Propexo unique identifier for the service request location

    service_request_problem_idstring

    The Propexo unique identifier for the service request problem

    service_descriptionstring

    A description of the service request

    Possible values: <= 35 characters

    phone_1string

    Primary phone number associated with the service request

    phone_2string

    Secondary phone number associated with the service request

    email_1string

    The primary email address associated with the service request

    scheduled_start_datestring<date-time>

    The scheduled start date associated with the request.

    due_datestring<date-time>

    The due date associated with the service request

    resident_idstring

    The Propexo unique identifier for the resident

    service_detailsstring

    Details about the service request

    date_createdstring<date-time>

    The date the service request was created

    status_rawstring

    The raw status associated with the service request

    Show 17 enum values
    AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork Completed
    access_is_authorizedboolean

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    service_prioritystring

    The priority level associated with the service request

    Show 5 enum values
    HighLowMed24 hoursEmergency
    has_petsboolean

    Whether there are pets associated with the unit

    has_alarmboolean

    Whether there is an alarm associated with the unit

    completion_notesstring

    Closing notes associated with the service request

    date_enteredstring

    The date of entry for the service request

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    date_scheduledstring<date-time>

    The date the service request is scheduled

    unit_idstring

    The Propexo unique identifier for the unit

    vendor_idstring

    The Propexo unique identifier for the vendor

    lease_idstring

    The Propexo unique identifier for the lease

    service_categorystring

    The category of service request

    Show 5 enum values
    ElectricalHVACOtherPlumbingService
    date_completedstring<date-time>

    The date the service request was completed

    date_duestring<date-time>

    The due date associated with the service request

    service_request_status_idstring

    The Propexo unique identifier for the service request status

    employee_idstring

    The Propexo unique identifier for the employee

    reported_bystring

    The name of the person who reported this service request

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/service-requests/:service_request_id
curl -X PUT https://api.propexo.com/v1/service-requests/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"service_description": "string",
"phone_1": "string",
"phone_2": "string",
"email_1": "string",
"scheduled_start_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"resident_id": "string",
"service_details": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"status_raw": "Assessment",
"access_is_authorized": true,
"service_priority": "High",
"has_pets": true,
"has_alarm": true,
"completion_notes": "string",
"date_entered": "2024-07-29T15:51:28.071Z",
"date_scheduled": "2024-07-29T15:51:28.071Z",
"unit_id": "string",
"vendor_id": "string",
"lease_id": "string",
"service_category": "Electrical",
"date_completed": "2024-07-29T15:51:28.071Z",
"date_due": "2024-07-29T15:51:28.071Z",
"service_request_status_id": "string",
"employee_id": "string",
"reported_by": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}